Subject: Re: [PATCH] Use platform device for 8250 registration

From: Matt Porter <[email-masked]>
Date: Wed, 17 Aug 2005 09:27:03 -0700

On Wed, Aug 17, 2005 at 11:16:39AM -0500, Kumar Gala wrote:
> 
> On Aug 17, 2005, at 10:30 AM, Tom Rini wrote:
> 
> > On Wed, Aug 17, 2005 at 10:22:54AM -0500, Kumar Gala wrote:
> >
> >
> >>> So long as you convert arch/ppc/boot/ to this as well, why not  
> >>> (or at
> >>> least being able to grab the infos from these structs somehow).
> >>>
> >>> Once everyone is on a flat tree, I don't object to killing all of  
> >>> the
> >>> old-style uart definitions steaming out of <asm-ppc/serial.h>.
> >>>
> >>
> >> Tom, do have a test system that I can look at converting that you
> >> would be willing to test the changes to arch/ppc/boot for me.
> >>
> >
> > With Matt's patch, you could boot a PReP kernel (no VGA con) :)
> > But if you convert LoPEC, I'll throw the kernel at it.
> 
> Does PReP use bootcode?  I thought it was OF based, but what do I know.

Are you asking on a real machine or on qemu?  On real PReP hardwrae
you can find both OF and other firmware like PPCBUG...in both cases
they dump residual data.  On qemu, jmayer wrote the openhackware bios
with is supposed to be some minimal OF-like thing...it dumps
residual data too.
 
-Matt